%global __debug_package 1
# because of this is debug package, there are source files (kenny.cpp and
# btee.c) that will be copied to the destination directory, but we don't want
# them in the rpm package so this flag is to avoid RPM build error:
%define _unpackaged_files_terminate_build 0
%define _with_livedumper on
%bcond_with livedumper

Name:          crash-worker_system-tests
Summary:       Package with binaries and scripts for crash-worker system tests
Version:       6.0.4
Release:       1
Group:         Framework/system
License:       Apache-2.0 and BSD
Source0:       %{name}-%{version}.tar.gz
Source1001:    crash-worker_system-tests.manifest
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(rpm)
BuildRequires: pkgconfig(dlog)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(crash-service)
BuildRequires: cmake

Requires:      diff
Requires:      gdb
Requires:      coreutils
Requires:      tlm
Requires:      /bin/bash
Requires:      /usr/bin/unzip
Requires:      /usr/bin/mcookie
Requires:      crash-worker
Requires:      libcrash-service
Requires:      %{_sbindir}/minicoredumper

%description
This package contains installable tests in Bash.

%prep
%setup -q


%build
cp %{SOURCE1001} .

export CFLAGS+=" -Werror"

cd tests/system
%cmake . -DCRASH_SYSTEM_TESTS_PATH=%{_libdir}/crash-worker_system-tests

make %{?jobs:-j%jobs}

%install
rm -rf %{buildroot}
cd tests/system
%make_install

%files -f debugfiles.list
%manifest %{name}.manifest
%defattr(0750,system_fw,system_fw)
%{_libdir}/crash-worker_system-tests/full_core/full_core.sh
%{_libdir}/crash-worker_system-tests/check_minicore_mem/check_minicore_mem.sh
%{_libdir}/crash-worker_system-tests/check_minicore_mem/cp.sh
%{_libdir}/crash-worker_system-tests/cmp_backtraces/cmp_backtraces.sh
%{_libdir}/crash-worker_system-tests/cmp_backtraces/cp.sh
%{_libdir}/crash-worker_system-tests/crash_root_path/crash_root_path.sh
%{_libdir}/crash-worker_system-tests/critical_process/critical_process.sh
%{_libdir}/crash-worker_system-tests/dbus_notify/dbus_notify.sh
%{_libdir}/crash-worker_system-tests/dump_systemstate_extras/dump_systemstate_extras.sh
%{_libdir}/crash-worker_system-tests/extra_script/extra_script.sh
%{_libdir}/crash-worker_system-tests/info_file/info_file.sh
%{_libdir}/crash-worker_system-tests/log_file/log_file.sh
%{_libdir}/crash-worker_system-tests/report_basic/report_basic.sh
%{_libdir}/crash-worker_system-tests/report_type_info/report_type_info.sh
%{_libdir}/crash-worker_system-tests/run.sh
%{_libdir}/crash-worker_system-tests/so_info_file/so_info_file.sh
%{_libdir}/crash-worker_system-tests/time_test/cp.sh
%{_libdir}/crash-worker_system-tests/time_test/time_test.sh
%{_libdir}/crash-worker_system-tests/utils/btee
%{_libdir}/crash-worker_system-tests/utils/kenny
%{_libdir}/crash-worker_system-tests/utils/libcrash-servicetest
%{_libdir}/crash-worker_system-tests/utils/minicore-utils.sh
%{_libdir}/crash-worker_system-tests/wait_for_opt_usr/wait_for_opt_usr.sh
%{_libdir}/crash-worker_system-tests/without_core/without_core.sh
%{_libdir}/crash-worker_system-tests/output_param/output_param.sh
%{_libdir}/crash-worker_system-tests/libcrash-service/libcrash-service.sh
%if %{with livedumper}
%{_libdir}/crash-worker_system-tests/livedumper/livedumper.sh
%endif
%defattr(-,root,root)

# %post
# /usr/bin/chsmack -a "_" -e "SSSystem::Privileged" -r %{_libdir}/crash-worker_system-tests/

